<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0, shrink-to-fit=no" />

    <title>Aadressregister</title>

    <link rel="apple-touch-icon" sizes="180x180" href="static/address_search/dist/images/favicons/apple-touch-icon.png" />
    <link rel="icon" type="image/png" sizes="32x32" href="static/address_search/dist/images/favicons/favicon-32x32.png" />
    <link rel="icon" type="image/png" sizes="16x16" href="static/address_search/dist/images/favicons/favicon-16x16.png" />
    <link rel="mask-icon" href="static/address_search/dist/images/favicons/safari-pinned-tab.svg" color="#0094FF" />

    <!-- Bootstrap CSS -->
    <link href="static/address_search/dist/vendor/bootstrap/bootstrap.min.css" rel="stylesheet">
    <!-- Floating Labels CSS | https://github.com/tkrotoff/bootstrap-floating-label/tree/v0.8.0 -->
    <link href="static/address_search/dist/vendor/bootstrap-floating-label/bootstrap-floating-label.css" rel="stylesheet">
    <!-- OpelLayers JS -->
    <link href="static/address_search/dist/vendor/ol/ol.css" rel="stylesheet">
    <!-- Dropzone CSS -->
    <link href="static/address_search/dist/vendor/dropzone/dropzone.css" rel="stylesheet">
    <!-- Grid JS CSS -->
    <link rel="stylesheet" type="text/css" href="https://unpkg.com/gridjs/dist/theme/mermaid.min.css" />
    <!-- Address popup CSS -->
    <link href="static/address_search/dist/css/fonts.css" rel="stylesheet">
    <link href="static/address_search/dist/css/main.css" rel="stylesheet">
</head>

<body>
    <!-- Header -->
    <header class="container-fluid">

        <!-- Header: Container -->
        <div class="header-container container d-flex align-items-center">

            <!-- Header: Brand -->
            <a class="header-brand mr-auto d-block" href="javascript:setTabActive('address-search')"><img src="static/address_search/dist/images/header-brand.svg" height="26" border="0" alt="Aadressregister" />Aadressregister</a>

            <!-- Header: Navigation -->
            <div class="header-nav align-self-center">
                <a class="header-nav-link btn btn-primary px-md-3 ml-1 ml-md-3" id="header-nav-help-link" href="javascript:setTabActive('help')"><i class="icon icon-help-blue"></i><span class="d-none d-md-inline-block">Abiinfo</span></a>
                <a class="header-nav-link btn btn-primary px-md-3 ml-1 ml-md-3" id="header-nav-address-task-link" href="javascript:setTabActive('address-task')"><i class="icon icon-edit-blue"></i><span class="d-none d-md-inline-block">Teavita
                        aadressist<span></a>

                <!-- Header: Dropdown -->
                <div class="header-nav-link header-nav-link-icon btn btn-primary dropdown ml-1 ml-md-3">
                    <a id="header-nav-dropdown-button" data-toggle="dropdown" aria-expanded="false">
                        <i class="icon icon-more-vertical-blue"></i>
                    </a>
                    <div class="dropdown-menu dropdown-menu-right fade" aria-labelledby="header-nav-dropdown-button">
                        <a class="dropdown-item" href="https://soa.elion.ee/rest/Resource/ressapi/locations/demo/index.html" target="_blank">Vaata aadressi otsingu demo</a>
                        <a class="dropdown-item" href="https://itwiki.atlassian.teliacompany.net/display/RESS/Locations+Registry?src=contextnavpagetreemode" target="_blank">Vaata API dokumentatsiooni</a>
                        <a class="dropdown-item" href="https://www.figma.com/file/DWZldDKtNFrVlzKc5l0FSD/Aadressiregistri-leht?node-id=79%3A13125" target="_blank">Vaata kujunduse prototüüpi</a>
                        <a class="dropdown-item" href="https://itwiki.atlassian.teliacompany.net/display/RESS/Resource+and+Workforce+Management" target="_blank">Team Ressursiamet</a>
                    </div>
                </div>
            </div>

        </div>
    </header>

    <!-- Main -->
    <main class="container-fluid px-0">

        <!-- Main: Navigation -->
        <nav class="main-nav-container container-fluid container-lg pb-0">

            <!-- Main: Tabs -->
            <div class="nav nav-tabs nav-tabs-scrollable justify-content-lg-center pl-4 pr-5" id="nav-tabs" role="tablist">
                <a class="nav-link active" id="nav-address-search-tab" href="#tab-address-search-content" aria-controls="tab-address-search-content" data-toggle="tab" role="tab" aria-selected="true"><i class="icon icon-search"></i><span>Aadressiotsing</span></a>
                <a class="nav-link" id="nav-hierarchical-search-tab" href="#tab-hierarchical-search-content" aria-controls="tab-hierarchical-search-content" data-toggle="tab" role="tab" aria-selected="false"><i class="icon icon-view-list"></i><span>Hierarhiline
                        otsing</span></a>
                <a class="nav-link d-none" id="nav-map-search-tab" href="#tab-map-search-content" aria-controls="tab-map-search-content" data-toggle="tab" role="tab" aria-selected="false"><i class="icon icon-pin"></i><span>Kaardiotsing</span></a>
                <a class="nav-link" id="nav-map-search-new-tab" href="#tab-map-search-new-content" aria-controls="tab-map-search-new-content" data-toggle="tab" role="tab" aria-selected="false"><i class="icon icon-pin"></i><span>Kaart (UUS)</span></a>
                <a class="nav-link d-md-none" id="nav-address-task-tab" href="#tab-address-task-content" aria-controls="tab-address-task-content" data-toggle="tab" role="tab" aria-selected="false"><i class="icon icon-edit"></i><span>Teavita
                        aadressist</span></a>
                <a class="nav-link" id="nav-address-tasks-tab" href="#tab-address-tasks-content" aria-controls="tab-address-tasks-content" data-toggle="tab" role="tab" aria-selected="false"><i class="icon icon-service-other"></i><span>Aadressülesanded</span></a>
                <a class="nav-link" id="nav-address-documents-tab" href="#tab-address-documents-content" aria-controls="tab-address-documents-content" data-toggle="tab" role="tab" aria-selected="false"><i class="icon icon-home"></i><span>Hoone
                        dokumendid</span></a>
                <a class="nav-link d-md-none pr-5 pr-md-0" id="nav-help-tab" href="#tab-help-content" aria-controls="tab-help-content" data-toggle="tab" role="tab" aria-selected="false"><i class="icon icon-help"></i><span>Abiinfo</span></a>
            </div>

        </nav>

        <!-- Main: Tabs content -->
        <div class="main-container container tab-content pb-4 px-3 px-lg-3" id="nav-tab-content">

            <!-- Tab content: Aadress Search -->
            <div class="tab-pane fade show active" id="tab-address-search-content" role="tabpanel" aria-labelledby="nav-address-search-tab">

                <!-- Card: Aadress Search -->
                <div class="card">
                    <div class="card-header text-center">
                        <h1>Aadressiotsing</h1>
                        <p>Aadress vali nimekirjast ning korteri/ruumi number sisesta muust aadressist eraldi.</p>
                    </div>
                    <div class="card-body">

                        <form action="" id="fulltext-search-form">
                            <div id="search-box-selection-header" class="row text-center justify-content-sm-center pt-2">
                                <div class="col-sm-2 form-check m-1">
                                    <label class="form-check-label">
                                        <input id="comp-search-address-radio" type="radio" class="form-check-input" name="optradio" checked=checked>
                                        Aadressi otsing
                                    </label>
                                </div>
                                <div class="col-sm-2 form-check m-1">
                                    <label class="form-check-label">
                                        <input id="comp-search-location-radio" type="radio" class="form-check-input" name="optradio">
                                        Asukoha otsing
                                    </label>
                                </div>
                            </div>
                            <div id="component-search-location-box" class="row justify-content-sm-center d-none">
                                <div class="col-sm-6 pt-3">
                                    <div class="form-group">
                                        <div class="form-group">
                                            <label for="room">Maakond:</label>
                                            <input class="form-control" id="comp_search_region" type="text">
                                        </div>
                                        <div class="form-group">
                                            <label for="room">Linn/Vald:</label>
                                            <input class="form-control" id="comp_search_city_county" type="text">
                                        </div>
                                        <div class="form-group">
                                            <label for="room">Küla/Alevik/Linnaosa/VS-linn:</label>
                                            <input class="form-control" id="comp_search_municipality" type="text">
                                        </div>
                                        <div class="form-group">
                                            <label for="room">Tänav/Talu/AÜ:</label>
                                            <input class="form-control" id="comp_search_street_village" type="text">
                                        </div>
                                    </div>
                                    <div class="form-group text-center">
                                        <button id="component-search-location-btn" type="button" class="btn btn-primary">Otsi</button>
                                    </div>
                                    <div id="component-search-location-results" class="d-none">
                                        <table class="table table-striped">
                                            <thead>
                                                <tr>
                                                    <th scope="col"></th>
                                                    <th scope="col">Aadress</th>
                                                    <th scope="col">Tüüp</th>
                                                </tr>
                                            </thead>
                                            <tbody id="component-search-location-tbody"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <div id="component-search-address-box" class="row justify-content-sm-center">
                                <div class="col-sm-6 pt-3">

                                    <div>
                                        <div class="form-group">
                                            <label for="full-text-search-address">Aadress:</label>
                                            <input class="form-control" id="full-text-search-address" type="text" placeholder="Sisesta aadress: sõle 17 tallinn" class="ui-autocomplete-input" autocomplete="off">
                                        </div>

                                        <div class="form-group">
                                            <label for="room">Korteri/ruumi nr</label>
                                            <input class="form-control" id="room" type="text" placeholder="krt 12">
                                        </div>

                                        <div id="choose-fulltext-address-button" class="row justify-content-sm-center pt-3">
                                            <div class="col-sm-6">
                                                <div class="form-group text-center">
                                                    <button id="fulltext-search-select-btn" type="button" class="btn btn-primary">Vali aadress</button>
                                                    <button id="fulltext-search-clear-btn" type="button" class="btn btn-primary" onclick="javascript: location.reload();">Tühjenda</button>
                                                </div>
                                            </div>
                                        </div>

                                        <div id="outputbox" class="d-none">
                                            <div id="data_to_transfer"></div>
                                            <div id="selected_address"></div>
                                            <div id="selected_room"></div>
                                            <!--<div id="log" style="height: 600px; width: 100%; overflow: auto;"></div>-->
                                            <!--<textarea id="outraw" rows="10" cols="100"></textarea>-->
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </form>

                    </div>
                </div>

                <!-- Card: Aadress Search Results -->
                <div class="card mt-3">
                    <div class="card-header d-flex flex-column flex-md-row">
                        <div class="mr-auto">
                            <h2>Leitud aadressid<span id="address-search-from-archive-headline" class="d-none"> + arhiiv</span></h2>
                            <p>Ava aadress, mida soovid päringusse üle kanda</p>
                        </div>
                        <div class="ml-auto">
                            <div class="toggle-switch-label">Arhiivi tulemused</div>
                            <label class="toggle-switch">
                                <input id="address-search-from-archive-toggle-switch" type="checkbox" value="1" />
                                <span class="toggle-switch-slider round"></span>
                            </label>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="form-group">
                            <label for="form-control-region-select-new">Maakond</label>
                            <select class="form-control" id="form-control-region-select-new">
                                <option value="">- vali -</option>
                                <option value="17">Harju maakond</option>
                                <option value="25">Hiiu maakond</option>
                                <option value="19">Ida-Viru maakond</option>
                                <option value="21">Järva maakond</option>
                                <option value="29">Jõgeva maakond</option>
                                <option value="26">Lääne maakond</option>
                                <option value="24">Lääne-Viru maakond</option>
                                <option value="23">Pärnu maakond</option>
                                <option value="18">Põlva maakond</option>
                                <option value="28">Rapla maakond</option>
                                <option value="30">Saare maakond</option>
                                <option value="20">Tartu maakond</option>
                                <option value="27">Valga maakond</option>
                                <option value="16">Viljandi maakond</option>
                                <option value="22">Võru maakond</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Tab content: Hierarchical Search -->
            <div class="tab-pane fade" id="tab-hierarchical-search-content" role="tabpanel" aria-labelledby="nav-hierarchical-search-tab">

                <!-- Card: Hierarchical Search -->
                <div class="card">
                    <div class="card-header">
                        <h1>Hierarhiline otsing</h1>
                        <p>Otsi aadressi haldusüksuste kaupa.</p>
                    </div>
                    <div class="card-body">

                        <form action="" id="hierarchical-search-form">

                            <div id="data_back_to_consumer">
                                <input id="address_id" type="hidden">
                                <input id="address_type" type="hidden">
                                <input id="region" type="hidden">
                                <input id="city_county" type="hidden">
                                <input id="municipality" type="hidden">
                                <input id="street_bg_name" type="hidden">
                                <input id="bg_num" type="hidden">
                                <input id="postal_code" type="hidden">
                                <input id="building_id" type="hidden">
                                <input id="building_name" type="hidden">
                                <input id="building_subtype" type="hidden">
                                <input id="coord_x" type="hidden">
                                <input id="coord_y" type="hidden">
                                <input id="room_id" type="hidden">
                                <input id="room_name" type="hidden">
                                <input id="room_type" type="hidden">
                                <input id="room_floor" type="hidden">
                                <input id="room_entrance" type="hidden">
                            </div>

                            <div id="region-drop-down" class="row justify-content-sm-center">
                                <div class="col-sm-6 pt-3">
                                    <div class="form-group">
                                        <label for="form-control-region-select">Maakond</label>
                                        <select class="form-control" id="form-control-region-select">
                                            <option value="">- vali -</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div id="city-county-drop-down" class="row justify-content-sm-center d-none">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="form-control-city-county-select">Linn/vald</label>
                                        <select class="form-control" id="form-control-city-county-select">
                                            <option value="">- vali -</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div id="municipality-drop-down" class="row justify-content-sm-center d-none">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="form-control-municipality-select">Küla/Alevik/Linnaosa/VS-linn</label>
                                        <select class="form-control" id="form-control-municipality-select">
                                            <option value="">- vali -</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div id="street-drop-down" class="row justify-content-sm-center d-none">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="form-control-street-select">Tänav/Talu/AÜ</label>
                                        <select class="form-control" id="form-control-street-select">
                                            <option value="">- vali -</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div id="house-drop-down" class="row justify-content-sm-center d-none">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="form-control-house-select">Maja number</label>
                                        <select class="form-control" id="form-control-house-select">
                                            <option value="">- vali -</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div id="room-drop-down" class="row justify-content-sm-center d-none">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <label for="form-control-room-select">Korteri/Ruumi number</label>
                                        <select class="form-control" id="form-control-room-select">
                                            <option value="">- vali -</option>
                                        </select>
                                        <button id="add-missing-room-btn" type="button" class="btn btn-secondary btn-sm">
                                            Lisa puuduv number
                                        </button>
                                    </div>
                                    <div id="add-missing-room" class="d-none">
                                        <div class="form-group">
                                            <label for="form-control-anette-room-select">Ruum Anettest</label>
                                            <select class="form-control" id="form-control-anette-room-select">
                                                <option value="">- vali -</option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label for="room">Korteri/ruumi nr</label>
                                            <input class="form-control" id="room" type="text" placeholder="krt 12">
                                        </div>
                                        <div class="text-right">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div id="choose-hierarchical-address-button" class="row justify-content-sm-center pt-3">
                                <div class="col-sm-6">
                                    <div class="form-group text-center">
                                        <button id="hierarchical-search-select-btn" type="button" class="btn btn-primary">Vali aadress</button>
                                        <button id="hierarchical-search-clear-btn" type="button" class="btn btn-primary" onclick="javascript: location.reload();">Tühjenda</button>
                                    </div>
                                </div>
                            </div>

                        </form>

                    </div>
                </div>
            </div>

            <!-- Tab content: Map Search -->
            <div class="tab-pane fade" id="tab-map-search-content" aria-labelledby="nav-map-search-tab" role="tabpanel">

                <!-- Card: Map Search -->
                <div class="card">
                    <div class="card-header">
                        <h1>Kaardiotsing</h1>
                        <p>Vaata kaardilt valitud asukohta.</p>
                    </div>
                    <div class="card-body pt-0">
                        <div id="google-maps-content"></div>
                    </div>
                </div>

            </div>

            <!-- Tab content: Map Search -->
            <div class="tab-pane fade" id="tab-map-search-new-content" aria-labelledby="nav-map-search-new-tab" role="tabpanel">

                <!-- Card: Map Search -->
                <div class="card">
                    <div class="card-header">
                        <h1>Kaardiotsing</h1>
                        <p>Vaata kaardilt valitud asukohta.</p>
                    </div>
                    <div class="card-body pt-0">

                        <!-- Map: Top Navigation -->
                        <ul class="nav nav-tabs">
                            <li class="nav-item">
                                <a class="nav-link d-flex align-items-center" href="javascript:showUrlLocationOnMap()"><i class="icon icon-link"></i>Valitud asukoht</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link d-flex align-items-center" href="javascript:showUrlLocationOnGoogleMaps()"><i class="icon icon-new-window"></i>Google Maps</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link d-flex align-items-center" href="javascript:showCurrentLocationOnMap()"><i class="icon icon-pin"></i>Minu asukoht</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link d-flex align-items-center" href="javascript:showDefaultLocationOnMap()"><i class="icon icon-pinned"></i>Eesti</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link d-flex align-items-center" href="javascript:showLocationOnMap(59.4284645, 24.7054263, 17)"><i class="icon icon-pinned"></i>Mustamäe tee 3</a>
                            </li>
                            <li class="nav-item ml-auto">
                                <a class="nav-link d-flex align-items-center" href="javascript:showMapFullscreenModal()"><i class="icon icon-new-window"></i>Täisekraan</a>
                            </li>
                        </ul>

                        <!-- Map: OpenLauyers Map Target Content Div -->
                        <div id="ol-map-content" class="col-sm-12 p-0 m-0 map map-top-squared" style="width: 100%; height: 600px;" tabindex="0"></div>

                    </div>
                </div>

            </div>

            <!-- Tab content: Address Task -->
            <div class="tab-pane fade" id="tab-address-task-content" aria-labelledby="nav-address-task-tab" role="tabpanel">

                <!-- Form: Address Task-->
                <form id="address-task-form" onsubmit="return false;" method="post">

                    <!-- Card: Address Task-->
                    <div class="card">
                        <div class="card-header">
                            <h1>Teavita aadressist</h1>
                            <p>Siin saad teavitada aadressi muudatusest aadressregistri haldurit juhul kui aadress puudub, on vigane või vajab kohendamist.</p>
                        </div>
                        <div class="card-body">

                            <!-- Form: Container-->
                            <div class="row justify-content-lg-center">
                                <div class="col col-lg-8">

                                    <h2 class="pb-3">Aadressiandmed</h2>

                                    <!-- Input: address_region -->
                                    <div class="form-group floating-label">
                                        <input id="address_region" name="address_region" class="form-control" type="text" placeholder="Harju maakond">
                                        <label for="address_region">Maakond</label>
                                    </div>

                                    <!-- Input: address_city_county -->
                                    <div class="form-group floating-label">
                                        <input id="address_city_county" name="address_city_county" class="form-control" type="text" placeholder="Tallinn">
                                        <label for="address_city_county">Linn/Vald</label>
                                    </div>

                                    <!-- Input: address_municipality -->
                                    <div class="form-group floating-label">
                                        <input id="address_municipality" name="address_municipality" class="form-control" type="text" placeholder="Kristiine">
                                        <label for="address_municipality">Linnaosa/küla/alevik</label>
                                    </div>

                                    <!-- Input: address_street_bg_name -->
                                    <div class="form-group floating-label">
                                        <input id="address_street_bg_name" name="address_street_bg_name" class="form-control" type="text" placeholder="Mustamäe tee">
                                        <label for="address_street_bg_name">Tänav/Väikekoht</label>
                                    </div>

                                    <div class="form-row">

                                        <!-- Input: location_building_name -->
                                        <div class="form-group floating-label col-md-6">
                                            <input id="location_building_name" name="location_building_name" class="form-control" type="text" placeholder="3">
                                            <label for="location_building_name">Maja nr</label>
                                        </div>

                                        <!-- Input: location_room_name -->
                                        <div class="form-group floating-label col-md-6">
                                            <input id="location_room_name" name="location_room_name" class="form-control" type="text" placeholder="London">
                                            <label for="location_room_name">Ruum/korter</label>
                                        </div>

                                    </div>

                                    <!-- Input: comment_text -->
                                    <div class="form-group floating-label">
                                        <textarea id="comment_text" name="comment_text" class="form-control autogrow" rows="5" placeholder="Aadress puudub registrist"></textarea>
                                        <label for="comment_text">Lisainfo</label>
                                    </div>

                                    <h2 class="py-3">Lisa failid</h2>

                                    <!-- Dropzone -->
                                    <div class="dropzone" id="address-task-attachments-dropzone">

                                        <!-- Dropzone Fallback Input: attachments -->
                                        <div class="fallback">
                                            <div class="input-group">
                                                <div class="custom-file">
                                                    <input id="address_task_attachments_dropzone_fallback" name="attachments" class="custom-file-input" type="file" multiple>
                                                    <label for="address_task_attachments_dropzone_fallback" class="custom-file-label" data-browse="Lae fail"></label>
                                                </div>
                                            </div>
                                        </div>

                                    </div>

                                    <h2 class="py-3">Sinu kontaktandmed</h2>

                                    <!-- Input: sender_name -->
                                    <div class="form-group floating-label">
                                        <input id="sender_name" name="sender_name" class="form-control" type="text" placeholder="Mari Maasikas">
                                        <label for="sender_name">Ees- ja perekonnanimi</label>
                                    </div>

                                    <div class="form-row">

                                        <!-- Input: sender_email -->
                                        <div class="form-group floating-label col-md-6">
                                            <input id="sender_email" name="sender_email" class="form-control" type="email" placeholder="mari.maasikas@telia.ee">
                                            <label for="sender_email">E-mail</label>
                                        </div>

                                        <!-- Input: sender_phone -->
                                        <div class="form-group floating-label col-md-6">
                                            <input id="sender_phone" name="sender_phone" class="form-control" type="tel" placeholder="+37253123456">
                                            <label for="sender_phone">Telefoninumber</label>
                                        </div>

                                    </div>

                                    <!-- Input: response_required -->
                                    <div class="form-check">
                                        <input id="response_required_true" name="response_required" class="form-check-input" type="radio" value="1" checked>
                                        <label for="response_required_true" class="form-check-label">Soovin vastust</label>
                                    </div>
                                    <div class="form-check pt-1">
                                        <input id="response_required_false" name="response_required" class="form-check-input" type="radio" value="0">
                                        <label for="response_required_false" class="form-check-label">Ei soovi vastust</label>
                                    </div>

                                </div>

                            </div>

                        </div>
                        <div class="card-footer">
                            <a id="location-task-cancel-btn" class="btn btn-text btn-cancel mr-auto" data-toggle="popover" href="javascript:location.reload();"><i class="icon icon-close-blue"></i><span>Katkestan</span></a>
                            <button id="location-task-send-btn" class="btn btn-primary" type="submit">
                                <span>Saada teavitus</span>
                                <i class="icon icon-arrow-right-white"></i>
                            </button>
                        </div>
                    </div>
                </form>
            </div>

            <!-- Tab content: Address Tasks -->
            <div class="tab-pane fade" id="tab-address-tasks-content" aria-labelledby="nav-address-tasks-tab" role="tabpanel">

                <!-- Card: Address Tasks-->
                <div class="card">
                    <div class="card-header">
                        <h1>Aadressülesanded</h1>
                        <p>Jälgi aadressi teavituste staatuseid ja täitmist.</p>
                        <p class="admin">Testida saab ID-ga <a href="javascript:$('#tab-address-tasks-table .gridjs-search-input').val('67806').focus();">67806</a> ja <a href="javascript:$('#tab-address-tasks-table .gridjs-search-input').val('68120').focus();">68120</a>
                            - Vajuta lingile ja siis tühikule.</p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <div id="tab-address-tasks-table"></div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Tab content: Help -->
            <div class="tab-pane fade" id="tab-help-content" aria-labelledby="nav-help-tab" role="tabpanel">

                <!-- Card: Help-->
                <div class="card">
                    <div class="card-header">
                        <h1>Abiinfo</h1>
                    </div>
                    <div class="card-body text-center">

                        <!-- FAQ -->
                        <div class="faqs accordion" id="accordionFaq">

                            <!-- FAQ: Row -->
                            <div class="faq">

                                <!-- FAQ: Row Header -->
                                <div class="faq-header">
                                    <h2 class="m-0 p-0">
                                        <a class="btn btn-link btn-block text-left px-3 py-2 d-flex align-items-center" data-toggle="collapse" data-target="#collapseFaq1" aria-expanded="false" aria-controls="collapseFaq1">
                                            Mis on Telia Aadressregister?
                                            <div class="ml-auto">
                                                <i class="icon icon-arrow-down"></i>
                                            </div>
                                        </a>
                                    </h2>
                                </div>

                                <!-- FAQ: Row Body -->
                                <div id="collapseFaq1" class="collapse" data-parent="#accordionFaq">
                                    <div class="faq-body px-3 pt-0 pb-4">
                                        Aadressregister on Telia Eesti AS keskne register, mis on osa Telia geoinfosüsteemist. Aadressregister vahendab läbi rakenduse "Aadressregistri pop-up" asukohapõhiseid andmeid teistesse operatiivsüsteemidesse.
                                    </div>
                                </div>
                            </div>

                            <!-- FAQ: Row -->
                            <div class="faq">

                                <!-- FAQ: Row Header -->
                                <div class="faq-header">
                                    <h2 class="m-0 p-0">
                                        <a class="btn btn-link btn-block text-left px-3 py-2 d-flex align-items-center" data-toggle="collapse" data-target="#collapseFaq2" aria-expanded="false" aria-controls="collapseFaq2">
                                            Mis on Aadressregistri pop-up?
                                            <div class="ml-auto">
                                                <i class="icon icon-arrow-down"></i>
                                            </div>
                                        </a>
                                    </h2>
                                </div>

                                <!-- FAQ: Row Body -->
                                <div id="collapseFaq2" class="collapse" data-parent="#accordionFaq">
                                    <div class="faq-body px-3 pt-0 pb-4">
                                        Aadressregistri pop-up on Aadressregistri lisarakendus, mis võimaldab Telia teenindajal teostada aadressiotsinguid vanemates operatiivsüsteemides (Anto, Anette, Cramer, Argos), kuid sobib ka kasutada uutemates
                                        rakendustes, kuna
                                        aadressiotsingu saab integreerida ilma suuremaid arendusi tegemata.
                                    </div>
                                </div>
                            </div>

                            <!-- FAQ: Row -->
                            <div class="faq">

                                <!-- FAQ: Row Header -->
                                <div class="faq-header">
                                    <h2 class="m-0 p-0">
                                        <a class="btn btn-link btn-block text-left px-3 py-2 d-flex align-items-center" data-toggle="collapse" data-target="#collapseFaq3" aria-expanded="false" aria-controls="collapseFaq3">
                                            Mis on Aadressregistri pop-upi funktsionaalsused?
                                            <div class="ml-auto">
                                                <i class="icon icon-arrow-down"></i>
                                            </div>
                                        </a>
                                    </h2>
                                </div>

                                <!-- FAQ: Row Body -->
                                <div id="collapseFaq3" class="collapse" data-parent="#accordionFaq">
                                    <div class="faq-body px-3 pt-0 pb-4">
                                        <p>Funktsionaalsused, mida saab teostada Aadressregsitri pop-upi vahendusel:</p>
                                        <ul>
                                            <li>Aadressi hierarhiline otsing
                                            <li>Aadressi otsing tekstilise sisalduvuse järgi</li>
                                            <li>Aadressi valiku ülekandmine operatiivsüsteemist</li>
                                            <li>Aadressi valiku tagasi kandmine operatiivsüsteemi</li>
                                            <li class="text-muted">Asukoha valiku visualiseerimine kaardil</li>
                                            <li>Aadressi muudatuse teavituse saatmine aadressregsitri haldurile</li>
                                            <li class="text-muted">Aadressülesannete nimistu ja staatuste vaatamine</li>
                                            <li class="text-muted">Aadressülesande detailne sisuvaade</li>
                                            <li class="text-muted">Hoone dokumentatsiooni vaatamine</li>
                                            <li class="text-muted">Hoone dokumendi vaatamine</li>
                                        </ul>
                                        <p class="text-muted"><i>* Halliga on tähistatud funktsionaalsused, mis on veel arenduses.</i></p>
                                    </div>
                                </div>

                            </div>

                            <!-- FAQ: Row -->
                            <div class="faq">

                                <!-- FAQ: Row Header -->
                                <div class="faq-header">
                                    <h2 class="m-0 p-0">
                                        <a class="btn btn-link btn-block text-left px-3 py-2 d-flex align-items-center" data-toggle="collapse" data-target="#collapseFaq4" aria-expanded="false" aria-controls="collapseFaq4">
                                            Mis on aadressiotsing?
                                            <div class="ml-auto">
                                                <i class="icon icon-arrow-down"></i>
                                            </div>
                                        </a>
                                    </h2>
                                </div>

                                <!-- FAQ: Row Body -->
                                <div id="collapseFaq4" class="collapse" data-parent="#accordionFaq">
                                    <div class="faq-body px-3 pt-0 pb-4">
                                        "Aadressiotsing" on aadressi otsing tekstilise sisalduvuse järgi.
                                    </div>
                                </div>
                            </div>

                            <!-- FAQ: Row -->
                            <div class="faq">

                                <!-- FAQ: Row Header -->
                                <div class="faq-header">
                                    <h2 class="m-0 p-0">
                                        <a class="btn btn-link btn-block text-left px-3 py-2 d-flex align-items-center" data-toggle="collapse" data-target="#collapseFaq5" aria-expanded="false" aria-controls="collapseFaq5">
                                            Mis on hirerarhiline otsing?
                                            <div class="ml-auto">
                                                <i class="icon icon-arrow-down"></i>
                                            </div>
                                        </a>
                                    </h2>
                                </div>

                                <!-- FAQ: Row Body -->
                                <div id="collapseFaq5" class="collapse" data-parent="#accordionFaq">
                                    <div class="faq-body px-3 pt-0 pb-4">
                                        "Hierarhiline otsing" aadressi komponentide järgi (maakond, linn, tänav, ...).
                                    </div>
                                </div>
                            </div>

                            <!-- FAQ: Row -->
                            <div class="faq">

                                <!-- FAQ: Row Header -->
                                <div class="faq-header">
                                    <h2 class="m-0 p-0">
                                        <a class="btn btn-link btn-block text-left px-3 py-2 d-flex align-items-center" data-toggle="collapse" data-target="#collapseFaq6" aria-expanded="false" aria-controls="collapseFaq6">
                                            Kuidas teavitada puudulikust, vigasest või muutmist vajavast aadressist?
                                            <div class="ml-auto">
                                                <i class="icon icon-arrow-down"></i>
                                            </div>
                                        </a>
                                    </h2>
                                </div>

                                <!-- FAQ: Row Body -->
                                <div id="collapseFaq6" class="collapse" data-parent="#accordionFaq">
                                    <div class="faq-body px-3 pt-0 pb-4">
                                        <p>
                                            Et teavitada puudulikust, vigasest või muutmist vajavast aadressist kliki üleval paremal nuppu
                                            <b>"Teavita aadressist"</b>.
                                        </p>
                                        <p>
                                            Täida "Aadressiandmed", mis viitavad probleemsele asukohale ning kirjuta "Lisainfo" väljale soovitud parandus või probleemolukorra kirjeldus, et Aadressregsitrihaldur saaks tekkinud olukorda tõhusamalt
                                            lahendada.
                                        </p>
                                        <p>
                                            Väljale "Lisa failid" tiri oma arvutist failid või kliki nimetatud alale, et valida failid. Failideks sobivad kõik aadressiparandust toetavad failid: ekraanitõmmised, dokumendid ja muud failid.
                                        </p>
                                        <p>
                                            Kui Aadressregistri uus pop-up <i>(v2)</i> on uutmoodi sinu operatiivsüsteemi integreeritud, siis on juba eeltäidetud "Sinu kontaktandmed" lahtrid "Ees- ja perekonnanimi", "E-mail" ja "Telefoninumber".
                                            Vajadusel saad alati "Sinu kontaktandmed" lahtreid täita ja täiendada.
                                        </p>
                                        <p>
                                            Kui teed valiku "Soovin vastust", siis saadetakse sulle ka sisestatud e-mailile aadressülesandega seotud tagasiside ja staatuste muudatused.
                                        </p>
                                        <p>
                                            Kui kõik vajaliku andmeväljad on vormil täidetud, siis Aadressülesande teavituse lähetamiseks aadressregsitri haldurile vajuta nuppu <b>"Saada teavitus"</b>.
                                        </p>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

                <!-- Card: Help-->
                <div class="card mt-3">
                    <div class="card-header">
                        <h1>Kasutusjuhend</h1>
                        <p>Detailse kasutusjuhendi leiad ka allolevalt Wiki lingilt:</p>
                    </div>
                    <div class="card-body text-center">
                        <a href="https://itwiki.atlassian.teliacompany.net/display/RESS/Aadressregistri+pop-up" target="_blank" class="btn btn-primary px-5">Vaata kasutusjuhendit</a>
                        <br />
                        <br />
                    </div>
                </div>
            </div>

            <!-- Tab content: Address Building Documents -->
            <div class="tab-pane fade" id="tab-address-documents-content" role="tabpanel" aria-labelledby="nav-address-documents-tab">

                <!-- Card: Address Building Documents -->
                <div class="card">
                    <div class="card-header">
                        <h1>Aadressil asuva hoonega seonduvad dokumendid ja failid</h1>
                        <p>B12-s <span class="text-muted">/</span> PNI-s <span class="text-muted">/</span> Geopangas <span class="text-muted">/</span> Geopank API-s hoonega seotud dokumendid (kuvatakse ainult "hoone plaan", "sisevõrgu skeem" tüüpi
                            dokumendid).</p>
                    </div>
                    <div class="card-body">
                        <div id="tab-address-documents-table"></div>
                        <!--<table id="tab-address-documents-table2" class="table table-hover">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Dokumendid</th>
                                    <th scope="col">Tüüp</th>
                                    <th scope="col">Kirjeldus</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td class="table-col-icon"><i class="icon icon-home"></i></td>
                                    <td class="table-col-name"><a href="27038" target="_blank">ENDLA 45 26.02-1kor.pdf</a></td>
                                    <td class="table-col-type">hoone plaan</td>
                                    <td class="table-col-description">K6980</td>
                                </tr>
                                <tr>
                                    <td class="table-col-icon"><i class="icon icon-home"></i></td>
                                    <td class="table-col-name"><a href="27038" target="_blank">ENDLA 45 26.02-1kor.pdf</a></td>
                                    <td class="table-col-type">hoone plaan</td>
                                    <td class="table-col-description">K6980</td>
                                </tr>
                                <tr>
                                    <td class="table-col-icon"><i class="icon icon-home"></i></td>
                                    <td class="table-col-name"><a href="27038" target="_blank">ENDLA 45 26.02-1kor.pdf</a></td>
                                    <td class="table-col-type">hoone plaan</td>
                                    <td class="table-col-description">K6980</td>
                                </tr>
                            </tbody>
                        </table>-->
                    </div>
                </div>
            </div>

        </div>

    </main>

    <!-- Footer -->
    <footer class="container-fluid">
        <div class="footer-container container d-flex align-items-center">

            <!-- Footer: Navigation -->
            <div class="footer-nav">

                <!-- Footer: Dropdown -->
                <div class="footer-nav-dropdown dropdown">
                    <button class="btn dropdown-toggle" type="button" id="footer-nav-dropdown-button" data-toggle="dropdown" aria-expanded="false">
                        <img src="static/address_search/dist/images/icons/white/more-vertical.svg" height="26" border="0" alt="Haldus" /> Haldus
                    </button>
                    <div class="dropdown-menu dropdown-menu-left" aria-labelledby="footer-nav-dropdown-button">
                        <a class="dropdown-item text-muted" href="?tab=map-search&coord_x=54386056&coord_y=658831032">(URLil x: 54386056, y: 658831032)</a>
                        <a class="dropdown-item text-muted" href="?tab=map-search&building_lat=24.772786336835118&building_lon=59.43037632425038">(URLil lat: 24.772763, lon: 59.4303763)</a>
                        <a class="dropdown-item text-muted" href="?tab=address-tasks&task_sender_email=monika.heiden@telia.ee">(Saatja aadressülesanded)</a>
                        <a class="dropdown-item text-muted" href="?tab=address-documents&building_id=595285">(Ainult hoone dokumendid)</a>
                        <a class="dropdown-item text-muted" href="?tab=address-task&task_sender_name=Mari%20Maasikas&task_sender_email=mari.maasikas%40telia.ee&task_sender_phone=%2B37253123456">(Ainult aadressülesande vorm)</a>
                        <a class="dropdown-item text-muted" href="javascript:openPopUpWindow('index.html', 'addressPopUpLarge', 1000, 650);">(Ava popupina 1000x650 px)</a>
                        <a class="dropdown-item text-muted" href="javascript:openPopUpWindow('index.html', 'addressPopUpSmall', 770, 650);">(Ava popupina 770x650 px)</a>
                        <a class="dropdown-item text-muted" href="javascript:resizeCurrentPopUpWindow(1000, 650);">(Muuda popup 1000x650 px)</a>
                        <a class="dropdown-item text-muted" href="javascript:$('.card').each(function(){ showCardPreloader($(this)); });">(Kaartide preloaderi käivitamine)</a>
                        <a class="dropdown-item text-muted" href="javascript:$('.card').each(function(){ hideCardPreloader($(this)); });">(Kaartide preloaderi lõpetamine)</a>
                        <a class="dropdown-item text-muted" href="javascript:showSuccessModal(false, false)">(Õnnestumise teade)</a>
                        <a class="dropdown-item text-muted" href="javascript:showErrorModal(false, false)">(Veateade)</a>
                        <a class="dropdown-item text-muted" href="javascript:showNotificationModal('icon-home-blue', 'Super', 'Oledki tagasi kodus!', 'Panen ukse lukku')">(Kohandatud teade)</a>
                        <a class="dropdown-item text-muted" href="javascript:showFormModal('#address-task-form')">(Teavita aadressist modaal)</a>
                        <a class="dropdown-item d-flex align-items-center" href="?tab=map-search-new"><i class="icon icon-pin-blue"></i><span>Kaart (UUS)</span></a>
                        <a class="dropdown-item d-flex align-items-center" href="#" target="_blank"><i class="icon icon-new-window-blue"></i><span>Sisene RESS-API halduspaneeli</span></a>
                        <div class="dropdown-item dropdown-item-admin d-flex align-items-center">
                            <span>Admin-režiim</span>
                            <label class="toggle-switch mb-0 ml-auto">
                                <input id="dropdown-item-admin-toggle-switch" type="checkbox" value="1" />
                                <span class="toggle-switch-slider round"></span>
                            </label>
                        </div>
                    </div>
                </div>
            </div>

            <div id="screen-size-indicator" class="admin text-white pl-3">🪟 <span class="width-and-height opacity-3">1000x650</span> <span class="opacity-1">|</span> 📐 <span class="left-and-top opacity-3"></span></div>

            <!-- Footer: Copyright -->
            <div class="footer-copyright ml-auto">Made with love ❤️ by <a href="#">Ressursiamet</a></div>
        </div>
    </footer>



    <!-- Modal: Notification -->
    <div id="modal-notification" class="modal-notification modal fade" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <a class="close" data-dismiss="modal" aria-label="Close">
                        <i aria-hidden="true" class="icon icon-close-round"></i>
                    </a>
                </div>
                <div class="modal-body text-center py-0">
                    <i class="modal-icon icon"></i><!-- .icon-alert -->
                    <h5 class="modal-title">Aitäh</h5>
                    <p class="modal-text p-0 m-0">Toiming õnnestus</p>
                    <p class="modal-some-error p-0 m-0 text-muted">(<span class="modal-some-error-name">ID: </span><span class="modal-some-error-value"></span>)</p>
                </div>
                <div class="modal-footer justify-content-center">
                    <button type="button" class="modal-button btn btn-secondary m-0" data-dismiss="modal">Sulge teade</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal: Form -->
    <div id="modal-form" class="modal-form modal fade" data-backdrop="static" data-keyboard="false" tabindex="-1">
        <div class="modal-dialog modal-lg modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header d-flex-row position-absolute mb-0 pb-0" style="z-index: 2; right: 0;">
                    <a class="close" style="z-index: 3" data-dismiss="modal" aria-label="Close">
                        <i aria-hidden="true" class="icon icon-close-round"></i>
                    </a>
                </div>
                <div class="modal-body p-0 m-0" style="z-index: 1"></div>
            </div>
        </div>
    </div>

    <!-- Modal: Address Task -->
    <div id="modal-address-task-detail" class="modal-form modal fade" data-keyboard="true" tabindex="-1">
        <div class="modal-dialog modal-lg modal-dialog-centered modal-dialog-scrollable">
            <!--<div class="inner-modal" style="background-color: rgba(0, 0, 0, 0.2); pointer-events: none !important; display: block !important; position: absolute; width: 100%; height: 100%; z-index: 2000;">
                <div class="inner-modal-dialog" style="background-color: #FFFFFF; overflow: auto; transition: all 1s; display: block !important; position: absolute; width: 100%; height: 30%; bottom: 0; z-index: 2001;">
                
                </div>
            </div> -->

            <div class="modal-content">
                <div class="modal-header d-flex-row position-absolute mb-0 pb-0" style="z-index: 2; right: 0;">
                    <a class="close" style="z-index: 3" data-dismiss="modal" aria-label="Close">
                        <i aria-hidden="true" class="icon icon-close-round"></i>
                    </a>
                </div>
                <div class="modal-body modal-body-bg p-0 m-0" style="z-index: 1">

                    <!-- Row: Top -->
                    <div class="row p-0 my-4 mx-2 d-flex align-items-center">

                        <!-- Column: Left -->
                        <div class="col-9 col-md-7 col-lg-7 col-xl-6">
                            <h1 class="modal-title pl-0 pl-md-2 pl-lg-4">Aadressülesanne <span class="task-id text-primary" title="-" data-html="true" data-placement="bottom" data-toggle="tooltip"></span></h1>
                        </div>

                        <!-- Column: Right -->
                        <div class="col-3 col-md-5 col-lg-5 col-xl-6 d-flex align-items-center">
                            <div class="task-status d-flex align-items-center ml-auto pr-4" title="-" data-html="true" data-placement="bottom" data-toggle="tooltip">
                                <span class="task-status-text d-none d-md-inline-block pr-2 text-right">Lahendatud</span><i class="task-status-icon icon icon-help-blue"></i>
                            </div>
                        </div>
                    </div>

                    <!-- Row: Bottom -->
                    <div class="row p-0 my-4 mx-2">

                        <!-- Column: Left -->
                        <div id="modal-address-task-detail-left-column" class="col-12 col-lg-6">

                            <div id="modal-address-task-detail-left-column-fixto">
                                <!-- Card: Location -->
                                <div class="card-location card mb-4">
                                    <div class="card-header">
                                        <h2>Aadressiandmed</h2>
                                        <p></p>
                                    </div>
                                    <div class="card-body pt-0">

                                        <div class="table-responsive">
                                            <table class="table table-borderless table-row-px-0">
                                                <tbody>
                                                    <tr>
                                                        <th scope="row" style="width: 1%;">Maakond</th>
                                                        <td class="task-location-address-region dynamic-text">-</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">Linn/vald</th>
                                                        <td class="task-location-address-city-county dynamic-text">-</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">Linnaosa/küla/alevik</th>
                                                        <td class="task-location-address-municipality dynamic-text">-</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">Tänav/väikekoht</th>
                                                        <td class="task-location-address-street-bg-name dynamic-text">-</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">Maja nr</th>
                                                        <td class="task-location-building-name dynamic-text">-</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">Ruum/korter</th>
                                                        <td class="task-location-room-name dynamic-text">-</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">Katastriüksus</th>
                                                        <td class="task-cadastre dynamic-text">-</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">Koordinaadid (L-EST)</th>
                                                        <td class="task-location-building-coords dynamic-text">-</td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>

                                    </div>
                                </div>

                                <!-- Card: Map  -->
                                <div class="card-map-small card card-rounded mb-4 dynamic-visibility" style="background: none;">
                                    <div id="modal-address-task-map-content-small" class="map map-rounded dynamic" style="width: 100%; height: 250px;" tabindex="0"></div>
                                </div>

                                <!-- Card: Attachments -->
                                <div class="card-attachments card mb-4 mb-md-0">
                                    <div class="card-header">
                                        <h2>Kõik failid</h2>
                                        <p></p>
                                    </div>
                                    <div class="card-body pt-2">
                                        <div class="table-responsive">
                                            <div id="modal-address-tasks-attachments-table" class="dynamic"></div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>

                        <!-- Column: Right -->
                        <div class="col-12 col-lg-6">

                            <!-- Card: Sender -->
                            <div class="card-sender card mb-4">
                                <div class="card-header">
                                    <h2>Saatja</h2>
                                    <p></p>
                                </div>
                                <div class="card-body pt-0">

                                    <div class="table-responsive">
                                        <table class="table table-borderless table-row-px-0">
                                            <tbody>
                                                <tr>
                                                    <th scope="row" style="width: 1%;">Nimi</th>
                                                    <td class="task-sender-name dynamic-text">-</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">E-post</th>
                                                    <td class="task-sender-email dynamic-text">-</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">Telefon</th>
                                                    <td class="task-sender-phone dynamic-text">-</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>

                                </div>
                            </div>

                            <!-- Card: Comments -->
                            <div class="card-comments card mb-4 mb-md-0">
                                <div class="card-header">
                                    <h2>Kommentaarid</h2>
                                    <p></p>
                                </div>
                                <div class="card-body pt-2">
                                    <div class="speech-bubbles speech-bubbles-odd-and-even speech-bubbles-colored dynamic">
                                        <!-- showAddressTaskCommentsBubbles() -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <!-- Modal: Map Search Fullscreen -->
    <div id="modal-map-search-fullscreen" class="modal-form modal modal-fullscreen fade" data-keyboard="true" tabindex="-1">
        <div class="modal-dialog modal-lg modal-dialog-centered modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header d-flex-row position-absolute mb-0 pb-0" style="z-index: 2; right: 0;">
                    <a class="close" style="z-index: 3" data-dismiss="modal" aria-label="Close">
                        <i aria-hidden="true" class="icon icon-close-round"></i>
                    </a>
                </div>
                <div class="modal-body modal-body-bg p-0 m-0" style="z-index: 1"></div>
            </div>
        </div>
    </div>

    <!-- Modal: Fullscreen -->
    <div id="modal-fullscreen" class="modal-form modal modal-fullscreen fade" data-keyboard="true" tabindex="-1">
        <div class="modal-dialog modal-lg modal-dialog-centered modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header d-flex-row position-absolute mb-0 pb-0" style="z-index: 2; right: 0;">
                    <a class="close" style="z-index: 3" data-dismiss="modal" aria-label="Close">
                        <i aria-hidden="true" class="icon icon-close-round"></i>
                    </a>
                </div>
                <div class="modal-body modal-body-bg p-0 m-0" style="z-index: 1">
                    <!-- // TODO: -->
                </div>
            </div>
        </div>
    </div>

</body>

<script type="text/javascript">
    var ENV = 'local';
    var SETTINGS = {
        env: ENV,
        local: {
            ress_api: {
                locations: {
                    'get.tasks.url': '{{ ENV.GET_TASKS_URL }}',
                    'post.tasks.url': '{{ ENV.POST_TASKS_URL }}',
                },
            },
            geopank_api: {
                'post.tasks.url': '{{ ENV.POST_TASKS_URL }}',
            },
            django: {
                geopank_api: {
                    'get.documents.url': '{{ ENV.GEOPANK_API_PROXY_GET_DOCUMENTS_URL }}',
                    'get.documents.attachment.url': '{{ ENV.GEOPANK_API_PROXY_GET_DOCUMENTS_ATTCHMENTS_URL }}',
                },
            },
        },
        production: {},
        test: {},
    };
    // URL: /locations/tasks/{task_id}
</script>

<!-- jQuery JS -->
<script src="static/address_search/dist/vendor/jquery/jquery.min.js" type="text/javascript"></script>
<script src="static/address_search/dist/js/jquery.custom.js" type="text/javascript"></script>
<script src="static/address_search/dist/vendor/jquery-validation/jquery.validate.min.js" type="text/javascript"></script>
<script src="static/address_search/dist/vendor/jquery-validation/localization/messages_et.min.js" type="text/javascript"></script>
<script src="static/address_search/dist/vendor/jquery-inline-svg/jquery-inline-svg.min.js" type="text/javascript"></script>
<script src="static/address_search/dist/vendor/jquery-ui/jquery-ui.min.js" type="text/javascript"></script>
<!-- Bootstrap JS -->
<script src="static/address_search/dist/vendor/popper.js/popper.min.js" type="text/javascript"></script>
<script src="static/address_search/dist/vendor/bootstrap/bootstrap.min.js" type="text/javascript"></script>
<script src="static/address_search/dist/vendor/bootstrap-confirmation2/bootstrap-confirmation.js" type="text/javascript"></script>
<!-- Dropzone JS -->
<script src="static/address_search/dist/vendor/dropzone/dropzone-min.js" type="text/javascript"></script>
<!-- Grid JS -->
<script src="static/address_search/dist/vendor/gridjs/gridjs.production.min.js" type="text/javascript"></script>
<script src="static/address_search/dist/vendor/gridjs-jquery/gridjs.production.min.js" type="text/javascript"></script>
<!-- Fixto JS -->
<script src="static/address_search/dist/vendor/fixto/fixto.min.js" type="text/javascript"></script>
<!-- OpelLayers JS -->
<script src="static/address_search/dist/vendor/ol/ol.js" type="text/javascript"></script>
<!-- Address popup JS -->
<script src="static/address_search/dist/js/address.main.js" type="text/javascript"></script>
<script src="static/address_search/dist/js/address.map.coords.js" type="text/javascript"></script>
<script src="static/address_search/dist/js/address.map.new.js" type="text/javascript"></script>
<script src="static/address_search/dist/js/address.task.js" type="text/javascript"></script>
<script src="static/address_search/dist/js/address.tasks.js" type="text/javascript"></script>
<script src="static/address_search/dist/js/address.search.new.js" type="text/javascript"></script>
<script src="static/address_search/dist/js/address.documents.js" type="text/javascript"></script>
<!-- Address popup JS - OLD -->
<script src="static/address_search/dist/js/old/project.js" type="text/javascript"></script>
<script src="static/address_search/dist/js/old/address.hierarchical.search.js" type="text/javascript"></script>
<script src="static/address_search/dist/js/old/address.fulltext.search.js" type="text/javascript"></script>
<script src="static/address_search/dist/js/old/address.components.search.js" type="text/javascript"></script>
<script src="static/address_search/dist/js/old/address.search.js" type="text/javascript"></script>

</html>